Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-RU-2017:3275-1: moderate: Recommended update for yast2-auth-client
openSUSE Recommended Update: Recommended update for yast2-auth-client
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:3275-1
Rating: moderate
References: #1024841 #1032733 #1038077 #1038291 #1038720
#1040393 #1043184 #1043211 #1054436 #1056158

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that has 10 recommended fixes can now be
installed.

Description:

This update for yast2-auth-client fixes the following issues:

- Fix a problem in the kerberos configuration file parser that was causing
the removal of manually defined values in the default_ccache_name key
(bsc#1054436).
- Fix a bug that was causing PAM configuration to not allow local user
logins if pam_unix2 is being used. (bsc#1056158)
- Add the "auth" module name as an alias to "auth-client". (bsc#1043211,
bsc#1043184, bsc#1032733)
- Correctly install sss name databases even in the presence of special NSS
database directives. (bsc#1024841)
- Use lower case when doing Active Directory DNS lookups to fix using LDAP
and kerberos. (bsc#1038720)
- Restore the compatibility with autoyast XML files exported from SLES 12.
(bsc#1040393)
- Improve some UI captions to make them more consistent.
- Fix a spelling problem in kerberos option name "noaddresses".
- Fix some translations by removing the usage of interpolated strings, as
this is not yet supported in Ruby gettext. (bsc#1038077)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1369=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (noarch):

yast2-auth-client-3.3.17-5.3.1


References:

https://bugzilla.suse.com/1024841
https://bugzilla.suse.com/1032733
https://bugzilla.suse.com/1038077
https://bugzilla.suse.com/1038291
https://bugzilla.suse.com/1038720
https://bugzilla.suse.com/1040393
https://bugzilla.suse.com/1043184
https://bugzilla.suse.com/1043211
https://bugzilla.suse.com/1054436
https://bugzilla.suse.com/1056158


< Previous Next >
This Thread
  • No further messages